import './rsvp-word.js'
import './rsvp-controls.js'
import './rsvp-word-markers.js'
import './rsvp-provider.js'

class RSVPReader extends HTMLElement {
  constructor() {
    super()
    const shadow = this.attachShadow({ mode: 'open' })

    shadow.innerHTML = `
      <rsvp-provider>
        <rsvp-word></rsvp-word>
        <rsvp-controls></rsvp-controls>
      </rsvp-provider>
    `
  }
}

window.customElements.define('rsvp-reader', RSVPReader)
